#include "ShaderInclude.hlsli"

Texture2D g_tex;
SamplerState g_ss;

void vs_main(
  in float3 i_pos : POSITION,
  in float2 i_uv : UV,
  out float2 o_uv : UV,
  out float4 o_pos : SV_Position)
{
  o_pos = mul(float4(i_pos, 1.0), g_matLocalToClip);
  o_uv = i_uv;
}

void ps_main(
  in float2 i_uv : UV,
  out float4 o_rgba : SV_Target)
{
  o_rgba = g_tex.Sample(g_ss, i_uv);
}
